org.apache.ivy.osgi.repo

## Class RelativeURLRepository

- java.lang.Object
- - org.apache.ivy.plugins.repository.AbstractRepository
  - - org.apache.ivy.plugins.repository.url.URLRepository
    - - org.apache.ivy.osgi.repo.RelativeURLRepository

All Implemented Interfaces:
  Repository

    public class RelativeURLRepository
    extends URLRepository

### Constructor Summary

Constructors
Constructor and Description
`RelativeURLRepository()`
`RelativeURLRepository(java.net.URL baseUrl)`

### Method Summary

Methods
`Resource` `getResource(java.lang.String source)` Return the resource associated with a specified identifier.

### Methods inherited from class org.apache.ivy.plugins.repository.url.URLRepository

`get, list, put`

### Methods inherited from class org.apache.ivy.plugins.repository.AbstractRepository

`addTransferListener, fireTransferCompleted, fireTransferCompleted, fireTransferError, fireTransferError, fireTransferEvent, fireTransferInitiated, fireTransferProgress, fireTransferStarted, fireTransferStarted, getFileSeparator, getName, hasTransferListener, put, removeTransferListener, setName, standardize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RelativeURLRepository

    public RelativeURLRepository()

#### RelativeURLRepository

    public RelativeURLRepository(java.net.URL baseUrl)

### Method Detail

#### getResource

    public Resource getResource(java.lang.String source)
                         throws java.io.IOException

Description copied from interface: `Repository`
Return the resource associated with a specified identifier. If the resource does not exist, it should return a Resource with exists() returning false. An IOException should only be thrown when a real IO problem occurs, like the impossibility to connect to a server.

Specified by:
  `getResource` in interface `Repository`
Overrides:
  `getResource` in class `URLRepository`
Parameters:
  `source` - A string identifying the resource.
Returns:
  The resource associated with the resource identifier.
Throws:
  `java.io.IOException` - On error while trying to get resource.